# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate vmm-sys-util

Name:           rust-%{crate}
Version:        0.11.1
Release:        1%{?dist}
Summary:        System utility set

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            https://crates.io/crates/vmm-sys-util
Source:         %{crates_source}
# Initial patched metadata
# * Exclude unneeded files
Patch0:         vmm-sys-util-fix-metadata.diff
# Omit tests that require access to "/dev/kvm"
Patch1:         vmm-sys-util-omit-ioctl-tests.diff
# Omit unsupported timestamp test on aarch64
Patch2:         vmm-sys-util-omit-timestamp-test.diff
# Omit unsupported pseudo_rng test on aarch64
Patch3:         vmm-sys-util-omit-pseudo_rng-test.diff

ExclusiveArch:  x86_64 aarch64 ppc64le
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
System utility set.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-BSD-3-Clause
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_derive" feature of the "%{crate}" crate.

%files       -n %{name}+serde_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-serde-devel %{_description}

This package contains library source intended for building other packages which
use the "with-serde" feature of the "%{crate}" crate.

%files       -n %{name}+with-serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Feb 08 2023 Sergio Lopez <slp@redhat.com> - 0.11.1-1
- Update to version 0.11.1
- Omit unsupported pseudo_rng test on aarch64

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jul 26 2022 Sergio Lopez <slp@redhat.com> - 0.10.0-1
- Update to upstream 0.10.0
- Switch to rust-packaging 21

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 24 2021 Sergio Lopez <slp@redhat.com> - 0.9.0-2
- Omit unsupported timestamp test on aarch64

* Fri Dec 24 2021 Sergio Lopez <slp@redhat.com> - 0.9.0-1
- Update to 0.9.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 03 2021 Sergio Lopez <slp@redhat.com> - 0.8.0-2
- Exclude unsupported arches

* Tue Mar 23 2021 Sergio Lopez <slp@redhat.com> - 0.8.0-1
- Initial package
